Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Build fails in OS X Lion #127

Closed
mattmanning opened this Issue Mar 29, 2012 · 8 comments

Comments

Projects
None yet
6 participants

$ gem install json
Fetching: json-1.6.6.gem (100%)
Building native extensions. This could take a while...
ERROR: Error installing json:
ERROR: Failed to build gem native extension.

    /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/bin/ruby extconf.rb

creating Makefile

make
/usr/bin/gcc-4.2 -I. -I/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/x86_64-darwin11.2.0 -I/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/backward -I/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1 -I. -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -fno-common -isysroot /Developer/SDKs/MacOSX10.7.sdk -arch x86_64 -fno-common -pipe -O3 -Wall -O0 -ggdb -o generator.o -c generator.c
In file included from generator.c:1:
../fbuffer/fbuffer.h:5:20: error: assert.h: No such file or directory
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:50:21: error: stdlib.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:54:21: error: string.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:64:21: error: stdint.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:67:23: error: inttypes.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:70:20: error: stdarg.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:71:20: error: stddef.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:72:19: error: stdio.h: No such file or directory
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:74,
from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/defines.h:59: warning: parameter names (without types) in function declaration
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/defines.h:60: warning: parameter names (without types) in function declaration
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/defines.h:61: warning: parameter names (without types) in function declaration
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/defines.h:62: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/defines.h:63: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/defines.h:63: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:77:20: error: alloca.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:176:21: error: limits.h: No such file or directory
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:749: error: expected specifier-qualifier-list before ‘size_t’
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1326,
from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/missing.h:22:24: error: sys/time.h: No such file or directory
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/missing.h:31:25: error: sys/types.h: No such file or directory
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:29,
from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1327,
from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/st.h:86: error: ‘CHAR_BIT’ undeclared here (not in a function)
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/st.h:86: error: bit-field ‘num_entries’ width not an integer constant
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/st.h:119: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/st.h:120: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘st_memsize’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/st.h:121: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/st.h:122: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1327,
from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:250: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_fdset_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:340: error: expected declaration specifiers or ‘...’ before ‘fd_set’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:340: error: expected declaration specifiers or ‘...’ before ‘fd_set’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:340: error: expected declaration specifiers or ‘...’ before ‘fd_set’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:340: warning: ‘struct timeval’ declared inside parameter list
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:340: warning: its scope is only this definition or declaration, which is probably not what you want
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:341: error: expected declaration specifiers or ‘...’ before ‘rb_fdset_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:341: error: expected declaration specifiers or ‘...’ before ‘rb_fdset_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:341: error: expected declaration specifiers or ‘...’ before ‘rb_fdset_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:341: warning: ‘struct timeval’ declared inside parameter list
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:342: warning: ‘struct timeval’ declared inside parameter list
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:374: warning: parameter names (without types) in function declaration
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:377: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘ruby_stack_length’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:509: error: expected declaration specifiers or ‘...’ before ‘pid_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:524: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:526: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:527: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_fork’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:528: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_fork_err’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:530: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_waitpid’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:531: error: expected ‘)’ before ‘pid’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:532: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_spawn’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:533: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_spawn_err’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:535: error: expected ‘)’ before ‘pid’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:593: error: expected declaration specifiers or ‘...’ before ‘va_list’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:595: error: expected declaration specifiers or ‘...’ before ‘va_list’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:651: error: expected declaration specifiers or ‘...’ before ‘uint32_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:676: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘rb_str_capacity’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:775: error: expected ‘)’ before ‘long’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/intern.h:776: error: expected ‘)’ before ‘long’
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby.h:32,
from ../fbuffer/fbuffer.h:6,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1409: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1418: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1419: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/ruby.h:1419: error: expected declaration specifiers or ‘...’ before ‘va_list’
In file included from /Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/encoding.h:23,
from ../fbuffer/fbuffer.h:9,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/oniguruma.h:109: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘attribute’ before ‘OnigDistance’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/oniguruma.h:653: error: expected specifier-qualifier-list before ‘OnigDistance’
In file included from ../fbuffer/fbuffer.h:9,
from generator.c:1:
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/encoding.h:96: error: expected declaration specifiers or ‘...’ before ‘va_list’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/encoding.h:252: error: expected declaration specifiers or ‘...’ before ‘size_t’
/Users/matthew/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/encoding.h:262: error: expected declaration specifiers or ‘...’ before ‘size_t’
In file included from generator.c:1:
../fbuffer/fbuffer.h: In function ‘fbuffer_alloc’:
../fbuffer/fbuffer.h:48: warning: implicit declaration of function ‘memset’
../fbuffer/fbuffer.h:48: warning: incompatible implicit declaration of built-in function ‘memset’
../fbuffer/fbuffer.h: In function ‘fbuffer_inc_capa’:
../fbuffer/fbuffer.h:76: error: too many arguments to function ‘ruby_xrealloc2’
../fbuffer/fbuffer.h: In function ‘fbuffer_append’:
../fbuffer/fbuffer.h:85: warning: implicit declaration of function ‘memcpy’
../fbuffer/fbuffer.h:85: warning: incompatible implicit declaration of built-in function ‘memcpy’
../fbuffer/fbuffer.h: In function ‘fbuffer_dup’:
../fbuffer/fbuffer.h:141: warning: implicit declaration of function ‘assert’
In file included from generator.c:2:
generator.h:6:18: error: math.h: No such file or directory
generator.h:7:19: error: ctype.h: No such file or directory
generator.c: In function ‘convert_UTF8_to_JSON’:
generator.c:229: error: ‘NULL’ undeclared (first use in this function)
generator.c:229: error: (Each undeclared identifier is reported only once
generator.c:229: error: for each function it appears in.)
generator.c: In function ‘fstrndup’:
generator.c:291: error: ‘NULL’ undeclared (first use in this function)
generator.c:293: warning: implicit declaration of function ‘memccpy’
generator.c: In function ‘mString_to_json_raw_object’:
generator.c:399: warning: implicit declaration of function ‘strlen’
generator.c:399: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:400: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘mString_Extend_json_create’:
generator.c:427: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:428: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘State_allocate’:
generator.c:494: warning: incompatible implicit declaration of built-in function ‘memset’
generator.c: In function ‘cState_s_allocate’:
generator.c:501: error: ‘NULL’ undeclared (first use in this function)
generator.c: In function ‘generate_json_float’:
generator.c:773: warning: implicit declaration of function ‘isinf’
generator.c:776: warning: implicit declaration of function ‘isnan’
generator.c: In function ‘isArrayOrObject’:
generator.c:865: warning: implicit declaration of function ‘isspace’
generator.c:867: warning: suggest parentheses around && within ||
generator.c:863: warning: unused variable ‘c’
generator.c: In function ‘cState_init_copy’:
generator.c:932: warning: incompatible implicit declaration of built-in function ‘memcpy’
generator.c: In function ‘cState_indent’:
generator.c:973: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:973: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘cState_indent_set’:
generator.c:990: error: ‘NULL’ undeclared (first use in this function)
generator.c:995: warning: implicit declaration of function ‘strdup’
generator.c:995: warning: incompatible implicit declaration of built-in function ‘strdup’
generator.c: In function ‘cState_space’:
generator.c:1010: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1010: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘cState_space_set’:
generator.c:1028: error: ‘NULL’ undeclared (first use in this function)
generator.c:1033: warning: incompatible implicit declaration of built-in function ‘strdup’
generator.c: In function ‘cState_space_before’:
generator.c:1047: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1047: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘cState_space_before_set’:
generator.c:1064: error: ‘NULL’ undeclared (first use in this function)
generator.c:1069: warning: incompatible implicit declaration of built-in function ‘strdup’
generator.c: In function ‘cState_object_nl’:
generator.c:1084: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1084: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘cState_object_nl_set’:
generator.c:1102: error: ‘NULL’ undeclared (first use in this function)
generator.c:1106: warning: incompatible implicit declaration of built-in function ‘strdup’
generator.c: In function ‘cState_array_nl’:
generator.c:1120: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1120: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c: In function ‘cState_array_nl_set’:
generator.c:1137: error: ‘NULL’ undeclared (first use in this function)
generator.c:1141: warning: incompatible implicit declaration of built-in function ‘strdup’
generator.c: In function ‘Init_generator’:
generator.c:1360: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1361: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1362: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1363: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1364: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1365: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1366: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1367: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1368: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1369: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1370: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1371: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1372: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1373: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1374: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1375: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1376: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1377: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1378: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1379: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1380: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1381: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1382: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1383: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1384: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1385: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1387: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1387: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1388: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1389: warning: incompatible implicit declaration of built-in function ‘strlen’
generator.c:1391: warning: incompatible implicit declaration of built-in function ‘strlen’
make: *** [generator.o] Error 1

Gem files will remain installed in /Users/matthew/.rvm/gems/ruby-1.9.2-p290/gems/json-1.6.6 for inspection.
Results logged to /Users/matthew/.rvm/gems/ruby-1.9.2-p290/gems/json-1.6.6/ext/json/ext/generator/gem_make.out

Owner

flori commented Mar 30, 2012

There seems to be a problem with your build system, maybe the recent xcode 4.2 lvm-gcc disaster on MacOS X? Try installing ruby-1.9.3-p125 with the newest version of rvm and see if the problem goes away.

I'm getting the exact same issue. Mac OS X 10.7.3, Xcode 4.3.1. I'm seeing a lot of issues popping up on Google over the last few days all related to JSON 1.6.6.

I have the same problem. I don't want to install Ruby 1.9.3 just yet, since that is not supported by Heroku. And just upgrading Xcode to 4.3.2 did not solve the problem.

Actually you can use 1.9.3 with Heroku. Just use the Cedar stack. I have actually not tried to push 1.9.3-p125 yet, but p0 works great.

I also solved the issue above without explicitly installing GCC by doin the following steps (after much pain and suffering):

  • Make sure xcode command line tools (prefs->downloads) is installed.
  • git reset --hard && brew update
  • brew install automake
  • rvm get head
  • rvm reload
  • rvm remove (your version)
  • rvm install 1.9.3
  • rvm --default 1.9.3-p125

Hope this helps!

Yeah this is the same thing I'm getting. Ruby 1.9.3-p125, up-to-date RVM, fresh gemset...

After updating rvm I was able to build this with ruby-1.9.2-p318.

@srawlins srawlins referenced this issue in bundler/bundler Apr 20, 2012

Closed

Bundle Install Crashing on JSON 1.6.6 #1809

Owner

flori commented May 8, 2012

@flori flori closed this May 8, 2012

@ghost

ghost commented Nov 13, 2013

thanks @jjstafford - 2 years later this still helped!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment